Skip to main content
GET
/
organization
/
{organizationId}
/
containerRegistry
/
{containerRegistryId}
/
images
List image version for a container registry
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/containerRegistry/{containerRegistryId}/images \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "image_name": "<string>",
      "versions": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

containerRegistryId
string<uuid>
required

Container Registry ID

Query Parameters

imageName
string

container image name

partial container image name to search

Response

The container registry versions list

results
object[]